#ifndef GESORTEDBRANCH_H
#define GESORTEDBRANCH_H
#include <list>
#include "GeBlendableMesh.h"

struct GeMeshProxy {
	float qdist;
	GeBlendableMesh* mesh;
};

class GeSortedBranch : public GeNode, public std::list<GeMeshProxy*>  {
public:
	static GeSortedBranch instance;

	static void add(GeBlendableMesh* mesh);
	static void flush(void);

	void render(void);
	void update(void) {};
	void shadowPass(GeLight* light) {};
};

#endif
